# Uses of Class
org.apache.avro.SchemaBuilder.FloatDefault

Packages that use SchemaBuilder.FloatDefault
Package
Description
org.apache.avro
Avro kernel classes.

## Uses of SchemaBuilder.FloatDefault in org.apache.avro

Methods in org.apache.avro that return SchemaBuilder.FloatDefault
Modifier and Type
Method
Description
`final SchemaBuilder.FloatDefault<R>`
SchemaBuilder.BaseFieldTypeBuilder.`floatType()`
A plain float type without custom properties.
Methods in org.apache.avro that return types with arguments of type SchemaBuilder.FloatDefault
Modifier and Type
Method
Description
`final SchemaBuilder.FloatBuilder<SchemaBuilder.FloatDefault<R>>`
SchemaBuilder.BaseFieldTypeBuilder.`floatBuilder()`
Build a float type that can set custom properties.
`SchemaBuilder.FloatBuilder<SchemaBuilder.UnionAccumulator<SchemaBuilder.FloatDefault<R>>>`
SchemaBuilder.UnionFieldTypeBuilder.`floatBuilder()`
Build a float type that can set custom properties.
`SchemaBuilder.UnionAccumulator<SchemaBuilder.FloatDefault<R>>`
SchemaBuilder.UnionFieldTypeBuilder.`floatType()`
A plain float type without custom properties.